The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Passive Device Profiling Setting at the Domain Level

Prev Next

This URL gets passive device profiling setting at the domain level.

Resource URL

GET /domain/<domain_id>/passivedeviceprofiling

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domain_id Domain id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
inheritSettingsfromParentNode Inherit settings from parent node Boolean
passiveDeviceProfilingSetting Passive device profiling setting Object

Details of fields in passiveDeviceProfilingSetting:

Field Name Description Data Type
profilingTechniques Profiling technique to use for device profiling Object
profileExpiration Profile expiration duration for re-profiling of a device Object
hostInactivityTimerInHrs Specifies the duration after which information for a device is considered invalid Number

Details of fields in profilingTechniques:

Field Name Description Data Type
DHCPEnableStatus Enable DHCP for device profiling Boolean
TCPEnableStatus Enable TCP for device profiling Boolean
HTTPEnableStatus Enable HTTP for device profiling Boolean

Details of fields in profileExpiration:

Field Name Description Data Type
duration Profile expiration duration Number
unit Profile expiration duration unit, can be "MINUTES" / "HOURS" String

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/domain/0/passivedeviceprofiling

Response

{
       		"inheritSettingsfromIPSSettingsNode": false,
       		"passiveDeviceProfilingSetting":
      		{
           		"profilingTechniques":
           		{
              			"DHCPEnableStatus": true,
              			"TCPEnableStatus": true,
               			"HTTPEnableStatus": false
           		},
           		"profileExpiration":
           		{
               			"duration": 30,
               			"unit": "MINUTES"
           		},
           		"hostInactivityTimerInHrs": 2
       		}
} 
 

Error Information

Following error code is returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain